> For the complete documentation index, see [llms.txt](https://docs.dragonpvp.hu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragonpvp.hu/solar/placeholderapi-support.md).

# PlaceholderAPI support

Learn how to use the placeholders provided by Solar.

As of `2026.10.08`, Solar supports a wide range of placeholders for PlaceholderAPI-compatible plugins.

## List of placeholders you can use for player statistics

<table><thead><tr><th width="277">Placeholder format</th><th>Placeholder description</th><th valign="top">Other information</th></tr></thead><tbody><tr><td>%solar_wins:&#x3C;kit>:&#x3C;player>%</td><td>Shows a <code>&#x3C;player></code>'s wins with a <code>&#x3C;kit></code>.</td><td valign="top"><code>&#x3C;kit></code> can be replaced with <strong>*</strong> to show total wins across all kits.<br><code>&#x3C;player></code> can be replaced with <strong>{player}</strong> to use the player viewing the placeholder.</td></tr><tr><td>%solar_losses:&#x3C;kit>:&#x3C;player>%</td><td>Shows a <code>&#x3C;player></code>'s losses with a <code>&#x3C;kit></code>.</td><td valign="top"><code>&#x3C;kit></code> can be replaced with <strong>*</strong> to show total losses across all kits.<br><code>&#x3C;player></code> can be replaced with <strong>{player}</strong> to use the player viewing the placeholder.</td></tr><tr><td>%solar_elo:&#x3C;queue>:&#x3C;player>%</td><td>Shows a <code>&#x3C;player></code>'s Elo in a <code>&#x3C;queue></code>.</td><td valign="top"><code>&#x3C;queue></code> can be replaced with <strong>*</strong> to show average Elo.<br><code>&#x3C;player></code> can be replaced with <strong>{player}</strong> to use the player viewing the placeholder.</td></tr><tr><td>%solar_winrate:&#x3C;kit>:&#x3C;player>%</td><td>Shows a <code>&#x3C;player></code>'s win rate with a <code>&#x3C;kit></code>.</td><td valign="top"><code>&#x3C;kit></code> can be replaced with <strong>*</strong> to show the overall win rate across all kits.<br><code>&#x3C;player></code> can be replaced with <strong>{player}</strong> to use the player viewing the placeholder.</td></tr></tbody></table>

## List of placeholders you can use in matches

The following placeholders return **null** or **false** when the player is not in a match.

| Placeholder Format                 | Placeholder Description                                                | Other Information                                                                         |
| ---------------------------------- | ---------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| %solar\_match:active%              | Shows **true** if the player is in a match and shows **false** if not. |                                                                                           |
| %solar\_match:state%               | Shows the state of the match *(STARTING, ONGOING, ENDED*).             |                                                                                           |
| %solar\_match:kit%                 | Shows the kit of the match.                                            |                                                                                           |
| %solar\_match:arena%               | Shows the arena of the match.                                          |                                                                                           |
| %solar\_match:rounds%              | Shows how many rounds the match has *(FT2, FT1, FT10...)*.             |                                                                                           |
| %solar\_match:round%               | Shows the current round number. *(1, 2, 8...)*                         |                                                                                           |
| %solar\_match:duration%            | Shows the duration of the match. *(Format: mm:ss)*                     |                                                                                           |
| %solar\_match:opponents:\<number>% | Shows the viewer's opponents, limited by `<number>`.                   | `<number>` defaults to 1, which displays one player. Increase it to display more players. |

## List of placeholders you can use in queues

| Placeholder Format                    | Placeholder Description                         | Other Information                                                                                                                                                                                              |
| ------------------------------------- | ----------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| %solar\_inqueue:\<queue>%             | Shows how many players are in a `<queue>`.      | `<queue>` can be replaced with **\*** to show the total players across all queues.                                                                                                                             |
| %solar\_isinqueue:\<queue>:\<player>% | Shows **true** if `<player>` is in a `<queue>`. | <p><code>\<queue></code> can be replaced with <strong>\*</strong> to check all queues.<br><code>\<player></code> can be replaced with <strong>{player}</strong> to use the player viewing the placeholder.</p> |

## List of placeholders you can use in parties

The following placeholders return **null** or **false** when the player is not in a party.

| Placeholder Format               | Placeholder Description                             | Other Information                                                                         |
| -------------------------------- | --------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| %solar\_party:inparty%           | Shows **true** if the viewing player is in a party. |                                                                                           |
| %solar\_party:leader%            | Shows the leader of the party.                      |                                                                                           |
| %solar\_party:size%              | Shows the size of the party.                        |                                                                                           |
| %solar\_party:max%               | Shows the player limit of the party.                |                                                                                           |
| %solar\_party:members:\<number>% | Shows party members, limited by `<number>`.         | `<number>` defaults to 1, which displays one player. Increase it to display more players. |

If you want any extra placeholders you can suggest it in our Discord!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dragonpvp.hu/solar/placeholderapi-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
